summaryrefslogtreecommitdiff
path: root/net-libs/nghttp2
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-20 14:54:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-20 14:54:46 -0500
commit1a4479b4e0368c8d5ff241ebad17b2541a7e3ba0 (patch)
tree18e2e784f9fb0dbc3546537acc42ad51b366d90e /net-libs/nghttp2
parent9f6a581d94412ab1cf4b35c33101f6be0ddc7777 (diff)
downloadbaldeagleos-repo-1a4479b4e0368c8d5ff241ebad17b2541a7e3ba0.tar.gz
baldeagleos-repo-1a4479b4e0368c8d5ff241ebad17b2541a7e3ba0.tar.xz
baldeagleos-repo-1a4479b4e0368c8d5ff241ebad17b2541a7e3ba0.zip
Adding metadata
Diffstat (limited to 'net-libs/nghttp2')
-rw-r--r--net-libs/nghttp2/Manifest4
-rw-r--r--net-libs/nghttp2/metadata.xml14
-rw-r--r--net-libs/nghttp2/nghttp2-1.68.0.ebuild75
-rw-r--r--net-libs/nghttp2/nghttp2-1.68.1.ebuild83
-rw-r--r--net-libs/nghttp2/nghttp2-1.69.0.ebuild83
-rw-r--r--net-libs/nghttp2/nghttp2-9999.ebuild74
6 files changed, 256 insertions, 77 deletions
diff --git a/net-libs/nghttp2/Manifest b/net-libs/nghttp2/Manifest
index 561ad4e3ab53..4261920a36d4 100644
--- a/net-libs/nghttp2/Manifest
+++ b/net-libs/nghttp2/Manifest
@@ -1,2 +1,6 @@
+DIST nghttp2-1.68.0.tar.xz 1691408 BLAKE2B 412842f3ca630b642ef9bb1865d43cf03de804ccc5f0d9ed3643b69930c66a9dd15b11a446c742be950eea24fd1704169c0683b92ea69762d1453ade4f8ed8db SHA512 a5182c2c54cdff3c70bdad204bff9a573cf7951e189d68665087f047cb79e5fc2d5d5aefbb41e2dfe264e2e74fbbe10196cb596248e328c944406ca09da98344
+DIST nghttp2-1.68.0.tar.xz.asc 833 BLAKE2B 33a6e8a8e730b01a6cdce1523464645f0ea11593d91d1f286a081bb02221bce54df60568f24039b6c83e0353d8bbc4bb8fb47dbb7d1ce6cd8c9c1e8aeaa18f46 SHA512 3d7dfee6c07407b22b24b330819af78930945d0d822bea916d70b055d93fb43e8e7ef5cb1a9c72c8da057994168170118cb432067b04400f5c53fe65654b2d09
DIST nghttp2-1.68.1.tar.xz 1675948 BLAKE2B bd5854ebdf58355470018596fd7bab4bb6e23825756fbad08efa4e01dcb4320be939ed676e68689385abf927e6c59da1c1ec85e1812549fc8aabf1a356ca0789 SHA512 d41d3422127d3190feedcd738bc477c00fa74068afbd5a08d84e954aaf20e172ea593a11db21cd70ddc63fe9550dab42cee55605d75dd4bca0f24ac1cd4b75d7
+DIST nghttp2-1.68.1.tar.xz.asc 833 BLAKE2B a7aa207baf9071b2479922bde74cdf48aa0168400bf026324285609d5cd28d044294c2d055d79b3a24d75bcd95f0e4bfbe828aa8ef98bf093f2197635b42e8f1 SHA512 e03dc5ea74388128166cf108858fa1f9de6cdd85df47c58a5ba30f0b8a4835110dd463fff3259e4a78c882cd3f375e52cc0f12943814e445edc1d375a8086543
DIST nghttp2-1.69.0.tar.xz 1696336 BLAKE2B a1b3509fb609bd93f57e1eee85f24c2db30d15b384d01d1efb1073ccf730d7d8a12f16213f1b0d137d0c6e2cf1b52e03f15038626aed5d6eadf06bc0af233c08 SHA512 31858cfd4a85995d006753c40393a7c23d2bfdd54fdb355757bef1a72b42177d31fff958e9e765a19d83e949eac77998e2bbe933b9390d1f2a1365506f5f6271
+DIST nghttp2-1.69.0.tar.xz.asc 833 BLAKE2B bfa783399989588902a37e32c6f4e55d1bb10a94ef18f8189ba82f52db73e9414a07a4899d5ff7a3da8d741df06d7845047e4e6575d4943fd66b739512a6dfca SHA512 c0086da9409a2ef04a109229184e37819d18d2d0268cc0ac2c7b9d129cf32cb2893d1a61d4fe7a24c880ceced1faf98c7febd5915fb4be5de373346a73656068
diff --git a/net-libs/nghttp2/metadata.xml b/net-libs/nghttp2/metadata.xml
index 438748e5db93..3f3e80eb06b0 100644
--- a/net-libs/nghttp2/metadata.xml
+++ b/net-libs/nghttp2/metadata.xml
@@ -1,20 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
<maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
+ <email>voyageur@gentoo.org</email>
+ <name>Bernard Cafarelli</name>
</maintainer>
- <upstream>
- <remote-id type="cpe">cpe:/a:nghttp2:nghttp2</remote-id>
- </upstream>
<use>
<flag name="hpack-tools">Install HPACK (header compression) helper tools</flag>
<flag name="utils">Install nghttp, nghttpd and nghttpx</flag>
</use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:nghttp2:nghttp2</remote-id>
+ </upstream>
<origin>baldeagleos-repo</origin>
</pkgmetadata>
diff --git a/net-libs/nghttp2/nghttp2-1.68.0.ebuild b/net-libs/nghttp2/nghttp2-1.68.0.ebuild
new file mode 100644
index 000000000000..a0b29b5116bb
--- /dev/null
+++ b/net-libs/nghttp2/nghttp2-1.68.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
+
+DESCRIPTION="HTTP/2 C Library"
+HOMEPAGE="https://nghttp2.org/"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+ inherit git-r3
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/nghttp2.asc
+ inherit autotools verify-sig
+ SRC_URI="
+ https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz.asc )
+ "
+
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-nghttp2 )"
+fi
+
+LICENSE="MIT"
+SLOT="0/1.14" # 1.<SONAME>
+IUSE="debug hpack-tools jemalloc systemd test utils xml"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ hpack-tools? ( >=dev-libs/jansson-2.5:= )
+ jemalloc? ( dev-libs/jemalloc:=[${MULTILIB_USEDEP}] )
+ utils? (
+ >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
+ >=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
+ net-dns/c-ares:=[${MULTILIB_USEDEP}]
+ >=virtual/zlib-1.2.3:=[${MULTILIB_USEDEP}]
+ )
+ systemd? ( >=sys-apps/systemd-209 )
+ xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+ # TODO: enable HTTP3
+ # requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, libnghttp3
+ local myeconfargs=(
+ --disable-examples
+ --disable-failmalloc
+ --disable-werror
+ --enable-threads
+ $(use_enable debug)
+ $(multilib_native_use_enable hpack-tools)
+ $(multilib_native_use_with hpack-tools jansson)
+ $(multilib_native_use_with jemalloc)
+ $(multilib_native_use_with systemd)
+ $(multilib_native_use_enable utils app)
+ $(multilib_native_use_with xml libxml2)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}"/usr -type f -name '*.la' -delete || die
+}
diff --git a/net-libs/nghttp2/nghttp2-1.68.1.ebuild b/net-libs/nghttp2/nghttp2-1.68.1.ebuild
index db76ddda47d8..aaf1c0a74fef 100644
--- a/net-libs/nghttp2/nghttp2-1.68.1.ebuild
+++ b/net-libs/nghttp2/nghttp2-1.68.1.ebuild
@@ -1,59 +1,74 @@
-# Copyright 2021-2026 LiGurOs Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
-inherit cmake-multilib
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
DESCRIPTION="HTTP/2 C Library"
HOMEPAGE="https://nghttp2.org/"
-SRC_URI="https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+ inherit git-r3
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/nghttp2.asc
+ inherit autotools verify-sig
+ SRC_URI="
+ https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz.asc )
+ "
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-nghttp2 )"
+fi
LICENSE="MIT"
SLOT="0/1.14" # 1.<SONAME>
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE="debug hpack-tools jemalloc static-libs systemd test utils xml"
-
-REQUIRED_USE="test? ( static-libs )"
+IUSE="debug hpack-tools systemd test utils xml"
RESTRICT="!test? ( test )"
-SSL_DEPEND="
- >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
-
-"
RDEPEND="
hpack-tools? ( >=dev-libs/jansson-2.5:= )
- jemalloc? ( dev-libs/jemalloc:=[${MULTILIB_USEDEP}] )
utils? (
- ${SSL_DEPEND}
+ >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
>=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
- >=sys-libs/zlib-1.2.3[${MULTILIB_USEDEP}]
net-dns/c-ares:=[${MULTILIB_USEDEP}]
+ >=virtual/zlib-1.2.3:=[${MULTILIB_USEDEP}]
)
systemd? ( >=sys-apps/systemd-209 )
- xml? ( >=dev-libs/libxml2-2.7.7:2[${MULTILIB_USEDEP}] )"
+ xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
+BDEPEND+=" virtual/pkgconfig"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
multilib_src_configure() {
- local mycmakeargs=(
- -DENABLE_EXAMPLES=OFF
- -DENABLE_FAILMALLOC=OFF
- -DENABLE_HTTP3=OFF
- -DENABLE_WERROR=OFF
- -DENABLE_THREADS=ON
- -DENABLE_DEBUG=$(usex debug)
- -DENABLE_HPACK_TOOLS=$(multilib_native_usex hpack-tools)
- $(cmake_use_find_package hpack-tools Jansson)
- -DWITH_JEMALLOC=$(multilib_native_usex jemalloc)
- -DBUILD_STATIC_LIBS=$(usex static-libs)
- -DBUILD_TESTING=$(usex test)
- $(cmake_use_find_package systemd Systemd)
- -DENABLE_APP=$(multilib_native_usex utils)
- -DWITH_LIBXML2=$(multilib_native_usex xml)
+ # TODO: enable HTTP3
+ # requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, libnghttp3
+ local myeconfargs=(
+ --disable-examples
+ --disable-failmalloc
+ --disable-werror
+ --enable-threads
+ --without-jemalloc
+ $(use_enable debug)
+ $(multilib_native_use_enable hpack-tools)
+ $(multilib_native_use_with hpack-tools jansson)
+ $(multilib_native_use_with systemd)
+ $(multilib_native_use_enable utils app)
+ $(multilib_native_use_with xml libxml2)
)
- cmake_src_configure
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
-multilib_src_test() {
- eninja check
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}"/usr -type f -name '*.la' -delete || die
}
diff --git a/net-libs/nghttp2/nghttp2-1.69.0.ebuild b/net-libs/nghttp2/nghttp2-1.69.0.ebuild
index db76ddda47d8..aaf1c0a74fef 100644
--- a/net-libs/nghttp2/nghttp2-1.69.0.ebuild
+++ b/net-libs/nghttp2/nghttp2-1.69.0.ebuild
@@ -1,59 +1,74 @@
-# Copyright 2021-2026 LiGurOs Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
-inherit cmake-multilib
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
DESCRIPTION="HTTP/2 C Library"
HOMEPAGE="https://nghttp2.org/"
-SRC_URI="https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+ inherit git-r3
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/nghttp2.asc
+ inherit autotools verify-sig
+ SRC_URI="
+ https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz.asc )
+ "
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-nghttp2 )"
+fi
LICENSE="MIT"
SLOT="0/1.14" # 1.<SONAME>
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE="debug hpack-tools jemalloc static-libs systemd test utils xml"
-
-REQUIRED_USE="test? ( static-libs )"
+IUSE="debug hpack-tools systemd test utils xml"
RESTRICT="!test? ( test )"
-SSL_DEPEND="
- >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
-
-"
RDEPEND="
hpack-tools? ( >=dev-libs/jansson-2.5:= )
- jemalloc? ( dev-libs/jemalloc:=[${MULTILIB_USEDEP}] )
utils? (
- ${SSL_DEPEND}
+ >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
>=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
- >=sys-libs/zlib-1.2.3[${MULTILIB_USEDEP}]
net-dns/c-ares:=[${MULTILIB_USEDEP}]
+ >=virtual/zlib-1.2.3:=[${MULTILIB_USEDEP}]
)
systemd? ( >=sys-apps/systemd-209 )
- xml? ( >=dev-libs/libxml2-2.7.7:2[${MULTILIB_USEDEP}] )"
+ xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
+BDEPEND+=" virtual/pkgconfig"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
multilib_src_configure() {
- local mycmakeargs=(
- -DENABLE_EXAMPLES=OFF
- -DENABLE_FAILMALLOC=OFF
- -DENABLE_HTTP3=OFF
- -DENABLE_WERROR=OFF
- -DENABLE_THREADS=ON
- -DENABLE_DEBUG=$(usex debug)
- -DENABLE_HPACK_TOOLS=$(multilib_native_usex hpack-tools)
- $(cmake_use_find_package hpack-tools Jansson)
- -DWITH_JEMALLOC=$(multilib_native_usex jemalloc)
- -DBUILD_STATIC_LIBS=$(usex static-libs)
- -DBUILD_TESTING=$(usex test)
- $(cmake_use_find_package systemd Systemd)
- -DENABLE_APP=$(multilib_native_usex utils)
- -DWITH_LIBXML2=$(multilib_native_usex xml)
+ # TODO: enable HTTP3
+ # requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, libnghttp3
+ local myeconfargs=(
+ --disable-examples
+ --disable-failmalloc
+ --disable-werror
+ --enable-threads
+ --without-jemalloc
+ $(use_enable debug)
+ $(multilib_native_use_enable hpack-tools)
+ $(multilib_native_use_with hpack-tools jansson)
+ $(multilib_native_use_with systemd)
+ $(multilib_native_use_enable utils app)
+ $(multilib_native_use_with xml libxml2)
)
- cmake_src_configure
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
-multilib_src_test() {
- eninja check
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}"/usr -type f -name '*.la' -delete || die
}
diff --git a/net-libs/nghttp2/nghttp2-9999.ebuild b/net-libs/nghttp2/nghttp2-9999.ebuild
new file mode 100644
index 000000000000..aaf1c0a74fef
--- /dev/null
+++ b/net-libs/nghttp2/nghttp2-9999.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Built with autotools rather than cmake to avoid circular dep (bug #951525)
+
+inherit multilib-minimal
+
+DESCRIPTION="HTTP/2 C Library"
+HOMEPAGE="https://nghttp2.org/"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+ inherit git-r3
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/nghttp2.asc
+ inherit autotools verify-sig
+ SRC_URI="
+ https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz.asc )
+ "
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-nghttp2 )"
+fi
+
+LICENSE="MIT"
+SLOT="0/1.14" # 1.<SONAME>
+IUSE="debug hpack-tools systemd test utils xml"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ hpack-tools? ( >=dev-libs/jansson-2.5:= )
+ utils? (
+ >=dev-libs/openssl-1.0.2:0=[-bindist(-),${MULTILIB_USEDEP}]
+ >=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
+ net-dns/c-ares:=[${MULTILIB_USEDEP}]
+ >=virtual/zlib-1.2.3:=[${MULTILIB_USEDEP}]
+ )
+ systemd? ( >=sys-apps/systemd-209 )
+ xml? ( >=dev-libs/libxml2-2.7.7:2=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+ # TODO: enable HTTP3
+ # requires quictls/openssl, libngtcp2, libngtcp2_crypto_quictls, libnghttp3
+ local myeconfargs=(
+ --disable-examples
+ --disable-failmalloc
+ --disable-werror
+ --enable-threads
+ --without-jemalloc
+ $(use_enable debug)
+ $(multilib_native_use_enable hpack-tools)
+ $(multilib_native_use_with hpack-tools jansson)
+ $(multilib_native_use_with systemd)
+ $(multilib_native_use_enable utils app)
+ $(multilib_native_use_with xml libxml2)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}"/usr -type f -name '*.la' -delete || die
+}